> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.beehiiv.com/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server. # List workspace post templates OAuth Scope: posts:read GET https://api.beehiiv.com/v2/workspaces/post_templates This feature is currently in beta and the API is subject to change. Retrieve the post templates that belong to the workspace. A workspace post template is owned by the organization rather than by a single publication, so every publication in the workspace can start a post from it. Requires an API key with access to every publication in the workspace. Reference: https://developers.beehiiv.com/api-reference/post-templates/workspace-index ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `limit` (integer, optional) — A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10. - `cursor` (string, optional) — **Cursor-based pagination (recommended)**: Use this opaque cursor token to fetch the next page of results. When provided, pagination will use cursor-based method which is more efficient and consistent than offset-based pagination. - `page` (integer, optional) — **Offset-based pagination (deprecated)**: Page number for offset-based pagination. Please migrate to cursor-based pagination using the `cursor` parameter. If not specified, results 1-10 from page 1 will be returned. ## Response ### 200 OK - `data` (list of PostTemplate, required) — An array of workspace post templates. - `limit` (integer, optional) — The limit placed on the results. If no limit was specified in the request, this defaults to 10. - `has_more` (boolean, optional) — **Cursor pagination only**: Indicates whether there are more results available after the current page. Only present when using cursor-based pagination. - `next_cursor` (string, optional) — **Cursor pagination only**: The cursor token to use for fetching the next page of results. This will be null if has_more is false. Only present when using cursor-based pagination. - `page` (integer, optional) — **Offset pagination only**: The page of results returned. Only present when using the deprecated `page` parameter. - `total_results` (integer, optional) — The total number of results from all pages. - `total_pages` (integer, optional) — **Offset pagination only**: The total number of pages. Only present when using the deprecated `page` parameter. ## Errors ### 400 Bad Request Error Bad Request - `status` (integer, required) - `statusText` (string, required) - `errors` (list of ErrorDetail, required) ### 401 Unauthorized Error Unauthorized. The API key or OAuth access token is missing, invalid, or expired. - `status` (integer, required) - `statusText` (string, required) - `errors` (list of ErrorDetail, required) ### 403 Forbidden Error Forbidden - `status` (integer, required) - `statusText` (string, required) - `errors` (list of ErrorDetail, required) ### 404 Not Found Error Resource Not Found - `status` (integer, required) - `statusText` (string, required) - `errors` (list of ErrorDetail, required) ### 429 Too Many Requests Error Rate Limit Exceeded - `status` (integer, required) - `statusText` (string, required) - `errors` (list of ErrorDetail, required) ### 500 Internal Server Error Internal Server Error - `status` (integer, required) - `statusText` (string, required) - `errors` (list of ErrorDetail, required) ## Types ### PostTemplate - `id` (string, required) — The prefixed ID of the post template. - `name` (string, required) — The name of the post template. - `created` (integer, required) — The Unix timestamp of when the post template was created. - `updated` (integer, required) — The Unix timestamp of when the post template was last updated. - `description` (string, optional) — The description of the post template. ### ErrorDetail - `message` (string, required) - `code` (string, required) ## Examples **Response** ```json { "data": [ { "id": "post_template_00000000-0000-0000-0000-000000000000", "name": "Workspace announcement", "created": 1700000000, "updated": 1700000000, "description": "Shared across every publication" } ], "limit": 10, "has_more": false, "next_cursor": null } ``` **SDK Code** ```python Default import requests url = "https://api.beehiiv.com/v2/workspaces/post_templates" querystring = {"limit":"10"} headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Default const url = 'https://api.beehiiv.com/v2/workspaces/post_templates?limit=10'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.beehiiv.com/v2/workspaces/post_templates?limit=10" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Default require 'uri' require 'net/http' url = URI("https://api.beehiiv.com/v2/workspaces/post_templates?limit=10") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.beehiiv.com/v2/workspaces/post_templates?limit=10") .header("Authorization", "Bearer ") .asString(); ``` ```php Default request('GET', 'https://api.beehiiv.com/v2/workspaces/post_templates?limit=10', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Default using RestSharp; var client = new RestClient("https://api.beehiiv.com/v2/workspaces/post_templates?limit=10"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/workspaces/post_templates?limit=10")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build your audience with beehiiv's API and SDKs. Create new subscribers and posts, get real-time notifications of subscription activity, and more.